query UserParticipationHistoryById($user_id: uuid!) {
  finals: event_registration_aggregate(
    where: {
      event: {
        event_group: { name: { _iregex: "NCAE CyberGames 202[2-9] (Finals|Invitational)" } }
        results_published: { _eq: true }
      }
      team: { members: { user_id: { _eq: $user_id } }, team_settings: { visible: { _eq: true } } }
    }
  ) {
    aggregate {
      count
    }
    nodes {
      event {
        event_group {
          name
        }
      }
    }
  }
  regionals: event_registration_aggregate(
    where: {
      event: {
        event_group: { name: { _iregex: "NCAE CyberGames 202[2-9] Regionals" } }
        results_published: { _eq: true }
      }
      team: { members: { user_id: { _eq: $user_id } }, team_settings: { visible: { _eq: true } } }
    }
  ) {
    aggregate {
      count
    }
    nodes {
      event {
        event_group {
          name
        }
      }
    }
  }
  awards: awards_assertions(where: { user_id: { _eq: $user_id } }) {
    badge {
      name
    }
  }
}
